Bug 926917 - vmw_pvscsi: DMA-API: device driver failed to check map error
Summary: vmw_pvscsi: DMA-API: device driver failed to check map error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1077118 1186338 1286376 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-24 03:06 UTC by Harald Reindl
Modified: 2016-10-26 16:09 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 16:09:15 UTC


Attachments (Terms of Use)

Description Harald Reindl 2013-03-24 03:06:44 UTC
3.9.0-0.rc3.git1.4.fc19.x86_64 #1 SMP Fri Mar 22 19:12:32

AFAIK i have seen the following stacktrace also with 3.8.x in Rawhide

vmw_pvscsi is a really important driver for VMware guests on vCenter
attache dto SAN-storages for performance reasons

[    2.963494] ------------[ cut here ]------------
[    2.963648] WARNING: at lib/dma-debug.c:933 check_unmap+0x47b/0x960()
[    2.963802] Hardware name: VMware Virtual Platform
[    2.963875] vmw_pvscsi 0000:13:00.0: DMA-API: device driver failed to check map error[device address=0x0000000029155c40] [size=96 bytes] [mapped as single]
[    2.964066] Modules linked in:
[    2.964239]  vmw_pvscsi(+)
[    2.964325] Pid: 6, comm: kworker/u:0 Not tainted 3.9.0-0.rc3.git1.4.fc19.x86_64 #1
[    2.964485] Call Trace:
[    2.964547]  <IRQ>  [<ffffffff81068df0>] warn_slowpath_common+0x70/0xa0
[    2.964750]  [<ffffffff81068e6c>] warn_slowpath_fmt+0x4c/0x50
[    2.964903]  [<ffffffff8137ebeb>] check_unmap+0x47b/0x960
[    2.965784]  [<ffffffff8137f21d>] ? debug_dma_unmap_sg+0x6d/0x130
[    2.965943]  [<ffffffff8137f12f>] debug_dma_unmap_page+0x5f/0x70
[    2.966098]  [<ffffffffa00006bb>] pvscsi_unmap_buffers.isra.12+0x11b/0x1e0 [vmw_pvscsi]
[    2.966211]  [<ffffffffa0000886>] pvscsi_process_completion_ring+0x106/0x2d0 [vmw_pvscsi]
[    2.966376]  [<ffffffffa0000b04>] pvscsi_isr+0x34/0xa0 [vmw_pvscsi]
[    2.966459]  [<ffffffff81119386>] handle_irq_event_percpu+0x56/0x390
[    2.966615]  [<ffffffff811196fd>] handle_irq_event+0x3d/0x60
[    2.966767]  [<ffffffff8111c267>] handle_edge_irq+0x77/0x130
[    2.966846]  [<ffffffff8101c36f>] handle_irq+0xbf/0x150
[    2.966996]  [<ffffffff81073800>] ? irq_enter+0x50/0xa0
[    2.967159]  [<ffffffff8172890d>] do_IRQ+0x4d/0xc0
[    2.967234]  [<ffffffff8171dc32>] common_interrupt+0x72/0x72
[    2.967385]  <EOI>  [<ffffffff8171cfcb>] ? _raw_spin_unlock_irqrestore+0x3b/0x70
[    2.967518]  [<ffffffffa0001750>] pvscsi_queue+0x130/0x830 [vmw_pvscsi]
[    2.967675]  [<ffffffff8148ffa0>] ? perf_trace_scsi_dispatch_cmd_error+0x1c0/0x1c0
[    2.967836]  [<ffffffff814905fa>] scsi_dispatch_cmd+0xda/0x580
[    2.967917]  [<ffffffff814978ac>] scsi_request_fn+0x33c/0x540
[    2.968079]  [<ffffffff81330fe3>] __blk_run_queue+0x33/0x40
[    2.968289]  [<ffffffff81339845>] blk_execute_rq_nowait+0x75/0xf0
[    2.968370]  [<ffffffff81339a3c>] blk_execute_rq+0x13c/0x1e0
[    2.968522]  [<ffffffff811bce69>] ? __kmalloc+0x1a9/0x390
[    2.968599]  [<ffffffff811bce69>] ? __kmalloc+0x1a9/0x390
[    2.968820]  [<ffffffff81216279>] ? bio_phys_segments+0x19/0x20
[    2.969045]  [<ffffffff81335138>] ? blk_rq_bio_prep+0x68/0xc0
[    2.969171]  [<ffffffff81496399>] scsi_execute+0xd9/0x160
[    2.969397]  [<ffffffff81497ba6>] scsi_execute_req+0x96/0x100
[    2.969619]  [<ffffffff8149a01d>] scsi_probe_and_add_lun+0x22d/0xc30
[    2.969739]  [<ffffffff8147cd7c>] ? __pm_runtime_resume+0x5c/0x90
[    2.969965]  [<ffffffff8149aed0>] __scsi_scan_target+0x110/0x6c0
[    2.970081]  [<ffffffff8171cfc6>] ? _raw_spin_unlock_irqrestore+0x36/0x70
[    2.970366]  [<ffffffff810d88ad>] ? trace_hardirqs_on_caller+0xfd/0x190
[    2.970596]  [<ffffffff810d894d>] ? trace_hardirqs_on+0xd/0x10
[    2.970710]  [<ffffffff8149b5f6>] scsi_scan_channel.part.6+0x66/0x90
[    2.970934]  [<ffffffff8149b7b9>] scsi_scan_host_selected+0xf9/0x1c0
[    2.971177]  [<ffffffff81021d69>] ? sched_clock+0x9/0x10
[    2.971285]  [<ffffffff8149b911>] do_scsi_scan_host+0x91/0xa0
[    2.971531]  [<ffffffff8149bb0c>] do_scan_async+0x1c/0x160
[    2.971669]  [<ffffffff8109d6e9>] async_run_entry_fn+0x39/0x120
[    2.972019]  [<ffffffff8108e70a>] process_one_work+0x20a/0x690
[    2.972337]  [<ffffffff8108e69e>] ? process_one_work+0x19e/0x690
[    2.972468]  [<ffffffff8108ef11>] worker_thread+0x111/0x3c0
[    2.976816]  [<ffffffff8108ee00>] ? rescuer_thread+0x270/0x270
[    2.976900]  [<ffffffff810948cd>] kthread+0xed/0x100
[    2.976978]  [<ffffffff810947e0>] ? insert_kthread_work+0x80/0x80
[    2.977061]  [<ffffffff81726b6c>] ret_from_fork+0x7c/0xb0
[    2.977152]  [<ffffffff810947e0>] ? insert_kthread_work+0x80/0x80
[    2.977311] ---[ end trace 2348352b9d2e1095 ]---
[    2.977386] Mapped at:
[    2.977448]  [<ffffffff8137da21>] debug_dma_map_page+0x91/0x140
[    2.977562]  [<ffffffffa00018a1>] pvscsi_queue+0x281/0x830 [vmw_pvscsi]
[    2.977668]  [<ffffffff814905fa>] scsi_dispatch_cmd+0xda/0x580
[    2.977769]  [<ffffffff814978ac>] scsi_request_fn+0x33c/0x540
[    2.977869]  [<ffffffff81330fe3>] __blk_run_queue+0x33/0x40

Comment 1 Harald Reindl 2013-05-19 22:03:33 UTC
looks like this is only displayed with debug-kernels
3.10.0-0.rc1.git6.1.fc20.x86_64 the same

[    3.150459] ------------[ cut here ]------------
[    3.150606] WARNING: at lib/dma-debug.c:937 check_unmap+0x47b/0x930()
[    3.150681] vmw_pvscsi 0000:13:00.0: DMA-API: device driver failed to check map error[device address=0x0000000029005c40] [size=96 bytes] [mapped as single]
[    3.150869] Modules linked in:
[    3.151016]  vmw_pvscsi(+)
[    3.151088] CPU: 0 PID: 6 Comm: kworker/u2:0 Not tainted 3.10.0-0.rc1.git6.1.fc20.x86_64 #1
[    3.151284] Hardware name: VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform, BIOS 6.00 07/02/2012
[    3.151520] Workqueue: events_unbound async_run_entry_fn
[    3.151686]  0000000000000009 ffff88002fc03be8 ffffffff81715f5b ffff88002fc03c20
[    3.151824]  ffffffff810676d1 ffff88002ce00158 ffff88002c255450 ffffffff82ca5250
[    3.152035]  0000000000000086 ffffffff819fea13 ffff88002fc03c80 ffffffff8106773c
[    3.152262] Call Trace:
[    3.152316]  <IRQ>  [<ffffffff81715f5b>] dump_stack+0x19/0x1b
[    3.152497]  [<ffffffff810676d1>] warn_slowpath_common+0x61/0x80
[    3.152645]  [<ffffffff8106773c>] warn_slowpath_fmt+0x4c/0x50
[    3.152718]  [<ffffffff8137879b>] check_unmap+0x47b/0x930
[    3.152862]  [<ffffffff81378d9d>] ? debug_dma_unmap_sg+0x6d/0x130
[    3.152936]  [<ffffffff81378caf>] debug_dma_unmap_page+0x5f/0x70
[    3.153085]  [<ffffffffa00006bb>] pvscsi_unmap_buffers.isra.12+0x11b/0x1e0 [vmw_pvscsi]
[    3.153265]  [<ffffffffa0000886>] pvscsi_process_completion_ring+0x106/0x2d0 [vmw_pvscsi]
[    3.153352]  [<ffffffffa0000b04>] pvscsi_isr+0x34/0xa0 [vmw_pvscsi]
[    3.153502]  [<ffffffff811194d6>] handle_irq_event_percpu+0x56/0x390
[    3.153651]  [<ffffffff8111984d>] handle_irq_event+0x3d/0x60
[    3.153723]  [<ffffffff8111c367>] handle_edge_irq+0x77/0x130
[    3.153870]  [<ffffffff8101a3cf>] handle_irq+0xbf/0x150
[    3.153940]  [<ffffffff81071e02>] ? irq_enter+0x52/0xa0
[    3.154923]  [<ffffffff8172970d>] do_IRQ+0x4d/0xc0
[    3.155068]  [<ffffffff8171e7f2>] common_interrupt+0x72/0x72
[    3.155139]  <EOI>  [<ffffffff8171db4b>] ? _raw_spin_unlock_irqrestore+0x3b/0x70
[    3.155349]  [<ffffffffa0001750>] pvscsi_queue+0x130/0x830 [vmw_pvscsi]
[    3.155503]  [<ffffffff81492120>] ? perf_trace_scsi_dispatch_cmd_error+0x1c0/0x1c0
[    3.155593]  [<ffffffff8149277a>] scsi_dispatch_cmd+0xda/0x570
[    3.155769]  [<ffffffff81499aac>] scsi_request_fn+0x33c/0x540
[    3.155842]  [<ffffffff8132a713>] __blk_run_queue+0x33/0x40
[    3.155988]  [<ffffffff81332f85>] blk_execute_rq_nowait+0x75/0xf0
[    3.156138]  [<ffffffff8133317c>] blk_execute_rq+0x13c/0x1e0
[    3.156225]  [<ffffffff81216009>] ? bio_phys_segments+0x19/0x20
[    3.156376]  [<ffffffff8132e878>] ? blk_rq_bio_prep+0x68/0xc0
[    3.156542]  [<ffffffff814985b9>] scsi_execute+0xd9/0x160
[    3.156613]  [<ffffffff81499d9c>] scsi_execute_req_flags+0x8c/0x100
[    3.156764]  [<ffffffff8149c235>] scsi_probe_and_add_lun+0x235/0xc30
[    3.156840]  [<ffffffff8171db46>] ? _raw_spin_unlock_irqrestore+0x36/0x70
[    3.156993]  [<ffffffff814777ac>] ? __pm_runtime_resume+0x5c/0x90
[    3.157141]  [<ffffffff8149d0c0>] __scsi_scan_target+0x110/0x6d0
[    3.157250]  [<ffffffff8171db46>] ? _raw_spin_unlock_irqrestore+0x36/0x70
[    3.161184]  [<ffffffff810d957d>] ? trace_hardirqs_on_caller+0xfd/0x1c0
[    3.161278]  [<ffffffff810d964d>] ? trace_hardirqs_on+0xd/0x10
[    3.161351]  [<ffffffff8149d7f6>] scsi_scan_channel.part.6+0x66/0x90
[    3.161427]  [<ffffffff8149d9b9>] scsi_scan_host_selected+0xf9/0x1c0
[    3.161502]  [<ffffffff8101fd69>] ? sched_clock+0x9/0x10
[    3.161665]  [<ffffffff8149db11>] do_scsi_scan_host+0x91/0xa0
[    3.161737]  [<ffffffff8149dcec>] do_scan_async+0x1c/0x160
[    3.161809]  [<ffffffff8109ec19>] async_run_entry_fn+0x39/0x120
[    3.161883]  [<ffffffff8108d281>] process_one_work+0x211/0x6c0
[    3.161975]  [<ffffffff8108d215>] ? process_one_work+0x1a5/0x6c0
[    3.162048]  [<ffffffff8108d84d>] worker_thread+0x11d/0x3a0
[    3.162119]  [<ffffffff8108d730>] ? process_one_work+0x6c0/0x6c0
[    3.162209]  [<ffffffff81095ced>] kthread+0xed/0x100
[    3.162354]  [<ffffffff81095c00>] ? insert_kthread_work+0x80/0x80
[    3.162429]  [<ffffffff817278ec>] ret_from_fork+0x7c/0xb0
[    3.162498]  [<ffffffff81095c00>] ? insert_kthread_work+0x80/0x80
[    3.162572] ---[ end trace f87cbe3545d920e6 ]---
[    3.162637] Mapped at:
[    3.162691]  [<ffffffff813775d1>] debug_dma_map_page+0x91/0x140
[    3.162779]  [<ffffffffa00018a1>] pvscsi_queue+0x281/0x830 [vmw_pvscsi]
[    3.162870]  [<ffffffff8149277a>] scsi_dispatch_cmd+0xda/0x570
[    3.163032]  [<ffffffff81499aac>] scsi_request_fn+0x33c/0x540
[    3.163118]  [<ffffffff8132a713>] __blk_run_queue+0x33/0x40

Comment 2 Josh Boyer 2013-09-18 20:54:35 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Harald Reindl 2013-09-18 21:31:28 UTC
until now this was only visible on rawhide kernels (debug builds i guess) while they always have worked - so i think there is a underlying minor issue which may worth to look

is there any F20 kernel which runs on a F19 VM and full debug enabled to verify this again?

Comment 4 Josh Boyer 2013-09-18 21:41:23 UTC
You can yum install the kernel-debug kernel to get a debug variant.

yum install kernel-debug-3.11.1-200.fc19

The F20 kernels also already have debug turned off by default at this point, but there are corresponding kernel-debug variants there as well.

Comment 5 Harald Reindl 2013-09-19 19:42:38 UTC
i think this is solved in the meantime and thanks god as far as i know it never had a critical impact - our complete infrastructure is based on ESXi with pvscsi drivers

[root@rawhide ~]# dmesg | grep -i pvscsi
[    0.933673] VMware PVSCSI driver - version 1.0.2.0-k
[    0.934291] vmw_pvscsi: using 64bit dma
[    0.939954] vmw_pvscsi 0000:13:00.0: vmw_pvscsi: host->max_id: 16
[    0.941134] vmw_pvscsi 0000:13:00.0: irq 40 for MSI/MSI-X
[    0.941220] vmw_pvscsi: using MSI-X
[    0.941423] scsi2 : VMware PVSCSI storage adapter rev 2, req/cmp/msg rings: 8/8/1 pages, cmd_per_lun=64
[    0.941787] vmw_pvscsi 0000:13:00.0: VMware PVSCSI rev 2 host #2

[root@rawhide ~]# rpm -qa | grep kernel
kernel-3.11.1-200.fc19.x86_64
kernel-debug-3.11.1-200.fc19.x86_64

yes, i know that F19 is no longer Rawhide, it's my test-VM :-)

Comment 6 Josh Boyer 2013-09-19 21:06:13 UTC
Great, thank you.

Comment 7 Harald Reindl 2013-12-20 12:20:29 UTC
looks like it came back again, maybe this should be escalated upstream
since it's a builtin driver

yet updated my rawhide-VM to "real rawhide F21"
3.13.0-0.rc4.git1.1.fc21.x86_64
Host is F19 with 3.12.5-200.fc19.x86_64 and VMware Workstation 10.0.1

[    2.945304] VMware PVSCSI driver - version 1.0.2.0-k
[    2.948328] vmw_pvscsi 0000:13:00.0: PCI->APIC IRQ transform: INT A -> IRQ 16
[    2.949041] vmw_pvscsi: using 64bit dma
[    2.957493] vmw_pvscsi 0000:13:00.0: vmw_pvscsi: host->max_id: 16
[    2.959532] vmw_pvscsi 0000:13:00.0: irq 72 for MSI/MSI-X
[    2.959715] vmw_pvscsi: using MSI-X
[    2.962481] scsi2 : VMware PVSCSI storage adapter rev 2, req/cmp/msg rings: 8/8/1 pages, cmd_per_lun=64
[    2.969749] vmw_pvscsi 0000:13:00.0: VMware PVSCSI rev 2 host #2
[    2.973390] ------------[ cut here ]------------
[    2.973909] WARNING: CPU: 0 PID: 6 at lib/dma-debug.c:937 check_unmap+0x47b/0x920()
[    2.974435] vmw_pvscsi 0000:13:00.0: DMA-API: device driver failed to check map error[device address=0x0000000028c57c40] [size=96 bytes] [mapped as single]
[    2.975374] Modules linked in:
[    2.975992]  vmw_pvscsi(+)
[    2.976373] CPU: 0 PID: 6 Comm: kworker/u2:0 Not tainted 3.13.0-0.rc4.git1.1.fc21.x86_64 #1
[    2.977144] Hardware name: VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform, BIOS 6.00 07/31/2013
[    2.978243] Workqueue: events_unbound async_run_entry_fn
[    2.978894]  0000000000000009 ffff88002fc03c08 ffffffff8175578d ffff88002fc03c50
[    2.979628]  ffff88002fc03c40 ffffffff8107458d ffff88002d229988 ffff88002c591248
[    2.980317]  ffffffff82d40b90 0000000000000082 ffffffff81a1c843 ffff88002fc03ca0
[    2.981109] Call Trace:
[    2.981459]  <IRQ>  [<ffffffff8175578d>] dump_stack+0x4d/0x66
[    2.982155]  [<ffffffff8107458d>] warn_slowpath_common+0x7d/0xa0
[    2.982852]  [<ffffffff810745fc>] warn_slowpath_fmt+0x4c/0x50
[    2.983319]  [<ffffffff813ad88b>] check_unmap+0x47b/0x920
[    2.983952]  [<ffffffff813ade7d>] ? debug_dma_unmap_sg+0x6d/0x130
[    2.984431]  [<ffffffff813add8f>] debug_dma_unmap_page+0x5f/0x70
[    2.985081]  [<ffffffffa00006ba>] pvscsi_unmap_buffers.isra.12+0x11a/0x1f0 [vmw_pvscsi]
[    2.985820]  [<ffffffffa0000896>] pvscsi_process_completion_ring+0x106/0x2d0 [vmw_pvscsi]
[    2.986367]  [<ffffffffa0000b14>] pvscsi_isr+0x34/0xa0 [vmw_pvscsi]
[    2.987027]  [<ffffffff810e3a3e>] handle_irq_event_percpu+0x3e/0x370
[    2.987505]  [<ffffffff810e3dad>] handle_irq_event+0x3d/0x60
[    2.988137]  [<ffffffff810e6887>] handle_edge_irq+0x77/0x130
[    2.988770]  [<ffffffff8101b9af>] handle_irq+0xbf/0x150
[    2.989210]  [<ffffffff8107b37a>] ? irq_enter+0x4a/0x80
[    2.989835]  [<ffffffff8176a68d>] do_IRQ+0x4d/0xc0
[    2.990259]  [<ffffffff8175f1b2>] common_interrupt+0x72/0x72
[    2.990894]  <EOI>  [<ffffffff8175e48b>] ? _raw_spin_unlock_irqrestore+0x3b/0x70
[    2.991454]  [<ffffffffa0001750>] pvscsi_queue+0x130/0x830 [vmw_pvscsi]
[    2.992144]  [<ffffffff814c0950>] ? perf_trace_scsi_dispatch_cmd_error+0x1a0/0x1a0
[    2.992852]  [<ffffffff814c0f51>] scsi_dispatch_cmd+0xb1/0x4e0
[    2.993382]  [<ffffffff814c897c>] scsi_request_fn+0x33c/0x540
[    2.994289]  [<ffffffff81351d93>] __blk_run_queue+0x33/0x40
[    2.995167]  [<ffffffff8135a9f1>] blk_execute_rq_nowait+0xa1/0x120
[    2.996113]  [<ffffffff8135abd3>] blk_execute_rq+0x133/0x1e0
[    2.996763]  [<ffffffff811d99b5>] ? __kmalloc+0x125/0x370
[    2.997210]  [<ffffffff811d99b5>] ? __kmalloc+0x125/0x370
[    2.997843]  [<ffffffff81237ce9>] ? bio_phys_segments+0x19/0x20
[    2.998314]  [<ffffffff81356020>] ? blk_rq_bio_prep+0x70/0xd0
[    2.998972]  [<ffffffff814c7497>] scsi_execute+0xd7/0x160
[    2.999428]  [<ffffffff814c8c7c>] scsi_execute_req_flags+0x8c/0x100
[    3.000094]  [<ffffffff814cb125>] scsi_probe_and_add_lun+0x235/0xc50
[    3.000752]  [<ffffffff814aeecc>] ? __pm_runtime_resume+0x5c/0x90
[    3.001253]  [<ffffffff814cbfd0>] __scsi_scan_target+0x110/0x6d0
[    3.001947]  [<ffffffff8175e486>] ? _raw_spin_unlock_irqrestore+0x36/0x70
[    3.002445]  [<ffffffff810ce955>] ? trace_hardirqs_on_caller+0x105/0x1d0
[    3.003117]  [<ffffffff810cea2d>] ? trace_hardirqs_on+0xd/0x10
[    3.003837]  [<ffffffff814cc706>] scsi_scan_channel.part.6+0x66/0x90
[    3.004309]  [<ffffffff814cc8c9>] scsi_scan_host_selected+0xf9/0x1c0
[    3.004984]  [<ffffffff81021a59>] ? sched_clock+0x9/0x10
[    3.005432]  [<ffffffff814cca21>] do_scsi_scan_host+0x91/0xa0
[    3.006076]  [<ffffffff814ccbfc>] do_scan_async+0x1c/0x160
[    3.006526]  [<ffffffff810a7fe9>] async_run_entry_fn+0x39/0x120
[    3.007167]  [<ffffffff81096f01>] process_one_work+0x211/0x6b0
[    3.007810]  [<ffffffff81096e95>] ? process_one_work+0x1a5/0x6b0
[    3.008280]  [<ffffffff810974bb>] worker_thread+0x11b/0x3a0
[    3.013365]  [<ffffffff810973a0>] ? process_one_work+0x6b0/0x6b0
[    3.014036]  [<ffffffff8109ffaf>] kthread+0xff/0x120
[    3.014481]  [<ffffffff8109feb0>] ? insert_kthread_work+0x80/0x80
[    3.015145]  [<ffffffff8176837c>] ret_from_fork+0x7c/0xb0
[    3.015749]  [<ffffffff8109feb0>] ? insert_kthread_work+0x80/0x80
[    3.016237] ---[ end trace 5cefd085fee47362 ]---
[    3.016834] Mapped at:
[    3.017177]  [<ffffffff813ac6d1>] debug_dma_map_page+0x91/0x140
[    3.017878]  [<ffffffffa00018a1>] pvscsi_queue+0x281/0x830 [vmw_pvscsi]
[    3.018394]  [<ffffffff814c0f51>] scsi_dispatch_cmd+0xb1/0x4e0
[    3.019104]  [<ffffffff814c897c>] scsi_request_fn+0x33c/0x540
[    3.019789]  [<ffffffff81351d93>] __blk_run_queue+0x33/0x40
[    3.020492] scsi 2:0:0:0: Direct-Access     VMware,  VMware Virtual S 1.0  PQ: 0 ANSI: 2
[    3.023230] scsi 2:0:1:0: Direct-Access     VMware,  VMware Virtual S 1.0  PQ: 0 ANSI: 2

Comment 8 Harald Reindl 2014-01-25 13:11:23 UTC
3.14.0-0.rc0.git3.1.fc21.x86_64

i guess i will send a slightly off-topic mail to the
open-vm-tools list because there are people from VMware Inc.

[   15.641689] scsi2 : VMware PVSCSI storage adapter rev 2, req/cmp/msg rings: 8/8/1 pages, cmd_per_lun=64
[   15.650348] vmw_pvscsi 0000:13:00.0: VMware PVSCSI rev 2 host #2
[   15.656531] ------------[ cut here ]------------
[   15.657055] WARNING: CPU: 0 PID: 6 at lib/dma-debug.c:937 check_unmap+0x47b/0x920()
[   15.657577] vmw_pvscsi 0000:13:00.0: DMA-API: device driver failed to check map error[device address=0x0000000028cbcc40] [size=96 bytes] [mapped as single]
[   15.658483] Modules linked in:
[   15.659064]  vmw_pvscsi(+)
[   15.659460] CPU: 0 PID: 6 Comm: kworker/u2:0 Not tainted 3.14.0-0.rc0.git3.1.fc21.x86_64 #1
[   15.660174] Hardware name: VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform, BIOS 6.00 07/31/2013
[   15.661267] Workqueue: events_unbound async_run_entry_fn
[   15.661944]  0000000000000009 ffff88002fc03ad8 ffffffff817685b8 ffff88002fc03b20
[   15.662548]  ffff88002fc03b10 ffffffff8107ad3d ffff88002d24f2d0 ffff88002c51ee38
[   15.663353]  ffffffff82d6b950 0000000000000086 ffffffff81a23e5b ffff88002fc03b70
[   15.664135] Call Trace:
[   15.664481]  <IRQ>  [<ffffffff817685b8>] dump_stack+0x4d/0x66
[   15.665162]  [<ffffffff8107ad3d>] warn_slowpath_common+0x7d/0xa0
[   15.665626]  [<ffffffff8107adac>] warn_slowpath_fmt+0x4c/0x50
[   15.666272]  [<ffffffff813b523b>] check_unmap+0x47b/0x920
[   15.666941]  [<ffffffff813b582d>] ? debug_dma_unmap_sg+0x6d/0x130
[   15.667574]  [<ffffffff813b573f>] debug_dma_unmap_page+0x5f/0x70
[   15.668141]  [<ffffffffa00006ba>] pvscsi_unmap_buffers.isra.12+0x11a/0x1f0 [vmw_pvscsi]
[   15.668912]  [<ffffffffa0000896>] pvscsi_process_completion_ring+0x106/0x2d0 [vmw_pvscsi]
[   15.669496]  [<ffffffffa0000b14>] pvscsi_isr+0x34/0xa0 [vmw_pvscsi]
[   15.670171]  [<ffffffff810ed3fe>] handle_irq_event_percpu+0x3e/0x370
[   15.670661]  [<ffffffff810ed76d>] handle_irq_event+0x3d/0x60
[   15.671305]  [<ffffffff810f0257>] handle_edge_irq+0x77/0x130
[   15.671935]  [<ffffffff8101bbaf>] handle_irq+0xbf/0x150
[   15.672385]  [<ffffffff81081aa2>] ? irq_enter+0x42/0x90
[   15.673000]  [<ffffffff8177d34f>] do_IRQ+0x4f/0xf0
[   15.673521]  [<ffffffff81771eb2>] common_interrupt+0x72/0x72
[   15.674089]  [<ffffffff810814e8>] ? __do_softirq+0xc8/0x460
[   15.674557]  [<ffffffff810814e1>] ? __do_softirq+0xc1/0x460
[   15.675196]  [<ffffffff810bd8d1>] ? sched_clock_cpu+0x11/0xd0
[   15.675670]  [<ffffffff81081bb5>] irq_exit+0xc5/0xd0
[   15.676285]  [<ffffffff8177d435>] smp_apic_timer_interrupt+0x45/0x60
[   15.676927]  [<ffffffff8177bd72>] apic_timer_interrupt+0x72/0x80
[   15.677410]  <EOI>  [<ffffffff8177119b>] ? _raw_spin_unlock_irqrestore+0x3b/0x70
[   15.678148]  [<ffffffffa0001750>] pvscsi_queue+0x130/0x830 [vmw_pvscsi]
[   15.678661]  [<ffffffff814ce2f0>] ? perf_trace_scsi_dispatch_cmd_error+0x1a0/0x1a0
[   15.679367]  [<ffffffff814ce8f1>] scsi_dispatch_cmd+0xb1/0x4e0
[   15.679999]  [<ffffffff814d627c>] scsi_request_fn+0x33c/0x540
[   15.680469]  [<ffffffff8135a603>] __blk_run_queue+0x33/0x40
[   15.681095]  [<ffffffff81363241>] blk_execute_rq_nowait+0xa1/0x120
[   15.681579]  [<ffffffff81363366>] blk_execute_rq+0x76/0x100
[   15.682213]  [<ffffffff8135911f>] ? blk_rq_init+0xff/0x170
[   15.682707]  [<ffffffff81363650>] ? blk_recount_segments+0x20/0x40
[   15.683359]  [<ffffffff81241209>] ? bio_phys_segments+0x19/0x20
[   15.684013]  [<ffffffff8135e890>] ? blk_rq_bio_prep+0x70/0xd0
[   15.684469]  [<ffffffff813630f0>] ? blk_rq_map_kern+0xc0/0x170
[   15.685107]  [<ffffffff814d4d87>] scsi_execute+0xd7/0x160
[   15.685556]  [<ffffffff814d656c>] scsi_execute_req_flags+0x8c/0x100
[   15.686201]  [<ffffffff814d898c>] scsi_probe_and_add_lun+0x20c/0xc00
[   15.686687]  [<ffffffff814d97f8>] __scsi_scan_target+0xf8/0x6a0
[   15.687330]  [<ffffffff810d8339>] ? mark_held_locks+0xb9/0x140
[   15.687986]  [<ffffffff81771196>] ? _raw_spin_unlock_irqrestore+0x36/0x70
[   15.692147]  [<ffffffff810d84c5>] ? trace_hardirqs_on_caller+0x105/0x1d0
[   15.692661]  [<ffffffff810d859d>] ? trace_hardirqs_on+0xd/0x10
[   15.693345]  [<ffffffff814d9f16>] scsi_scan_channel.part.6+0x66/0x90
[   15.694016]  [<ffffffff814da0d9>] scsi_scan_host_selected+0xf9/0x1c0
[   15.694497]  [<ffffffff814da231>] do_scsi_scan_host+0x91/0xa0
[   15.695125]  [<ffffffff814da40c>] do_scan_async+0x1c/0x160
[   15.695574]  [<ffffffff810ae389>] async_run_entry_fn+0x39/0x120
[   15.696229]  [<ffffffff8109d4c1>] process_one_work+0x211/0x6b0
[   15.696689]  [<ffffffff8109d455>] ? process_one_work+0x1a5/0x6b0
[   15.697332]  [<ffffffff8109da7b>] worker_thread+0x11b/0x3a0
[   15.697958]  [<ffffffff8109d960>] ? process_one_work+0x6b0/0x6b0
[   15.698423]  [<ffffffff810a6550>] kthread+0xf0/0x110
[   15.699031]  [<ffffffff81021f59>] ? sched_clock+0x9/0x10
[   15.699472]  [<ffffffff810a6460>] ? insert_kthread_work+0x80/0x80
[   15.700112]  [<ffffffff8177afbc>] ret_from_fork+0x7c/0xb0
[   15.700587]  [<ffffffff810a6460>] ? insert_kthread_work+0x80/0x80
[   15.701261] ---[ end trace 9e665d6a1a3e2037 ]---
[   15.701676] Mapped at:
[   15.702234]  [<ffffffff813b4081>] debug_dma_map_page+0x91/0x140
[   15.702722]  [<ffffffffa00018a1>] pvscsi_queue+0x281/0x830 [vmw_pvscsi]
[   15.703360]  [<ffffffff814ce8f1>] scsi_dispatch_cmd+0xb1/0x4e0
[   15.704018]  [<ffffffff814d627c>] scsi_request_fn+0x33c/0x540
[   15.704530]  [<ffffffff8135a603>] __blk_run_queue+0x33/0x40
[   15.706915] scsi 2:0:0:0: Direct-Access     VMware,  VMware Virtual S 1.0  PQ: 0 ANSI: 2
[   15.708230] scsi 2:0:1:0: Direct-Access     VMware,  VMware Virtual S 1.0  PQ: 0 ANSI: 2

Comment 9 Harald Reindl 2014-01-29 13:25:21 UTC
3.14.0-0.rc0.git12.1.fc21.x86_64 changed message
without understand the details it seems to be more clear

[    4.158459] ------------[ cut here ]------------
[    4.158904] WARNING: CPU: 0 PID: 1 at lib/dma-debug.c:491 add_dma_entry+0x11a/0x130()
[    4.159593] DMA-API: exceeded 7 overlapping mappings of pfn 28ba7
[    4.160166] Modules linked in: vmw_pvscsi
[    4.160712] CPU: 0 PID: 1 Comm: systemd Tainted: G        W    3.14.0-0.rc0.git12.1.fc21.x86_64 #1
[    4.161735] Hardware name: VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform, BIOS 6.00 07/31/2013
[    4.162875]  0000000000000009 ffff88002d4517d0 ffffffff817994a5 ffff88002d451818
[    4.163601]  ffff88002d451808 ffffffff8109272d 0000000000028ba7 ffff88002bad8e38
[    4.164615]  0000000000000096 ffffffff82d6b180 0000000000000096 ffff88002d451868
[    4.165389] Call Trace:
[    4.165747]  [<ffffffff817994a5>] dump_stack+0x4d/0x66
[    4.166195]  [<ffffffff8109272d>] warn_slowpath_common+0x7d/0xa0
[    4.166825]  [<ffffffff8109279c>] warn_slowpath_fmt+0x4c/0x50
[    4.167434]  [<ffffffff813d74dd>] ? active_pfn_read_overlap+0x2d/0x50
[    4.167927]  [<ffffffff813d7a7a>] add_dma_entry+0x11a/0x130
[    4.168536]  [<ffffffff813d7dca>] debug_dma_map_page+0x11a/0x140
[    4.169016]  [<ffffffffa00018d1>] pvscsi_queue+0x281/0x840 [vmw_pvscsi]
[    4.169660]  [<ffffffff814f4830>] ? ftrace_raw_event_scsi_dispatch_cmd_error+0x200/0x200
[    4.170468]  [<ffffffff814f4f47>] scsi_dispatch_cmd+0xb7/0x4e0
[    4.171093]  [<ffffffff814fd1bc>] scsi_request_fn+0x33c/0x540
[    4.171634]  [<ffffffff813a08db>] ? deadline_add_request+0x5b/0x70
[    4.172308]  [<ffffffff8137c873>] __blk_run_queue+0x33/0x40
[    4.172891]  [<ffffffff81382453>] blk_queue_bio+0x313/0x490
[    4.173438]  [<ffffffff8137c6c2>] generic_make_request+0xc2/0x110
[    4.173902]  [<ffffffff8137c772>] submit_bio+0x62/0x130
[    4.174483]  [<ffffffff81262406>] ? bio_alloc_bioset+0x196/0x2a0
[    4.175040]  [<ffffffff8125cda5>] _submit_bh+0x135/0x200
[    4.175564]  [<ffffffff8125cf5a>] ll_rw_block+0x6a/0xb0
[    4.175995]  [<ffffffff8125e4ce>] __breadahead+0x2e/0x40
[    4.176563]  [<ffffffff812bb27a>] __ext4_get_inode_loc+0x40a/0x4c0
[    4.177021]  [<ffffffff812be266>] ext4_iget+0x76/0xa70
[    4.177666]  [<ffffffff812c8527>] ext4_lookup+0xd7/0x150
[    4.178096]  [<ffffffff8122d2ed>] lookup_real+0x1d/0x50
[    4.178638]  [<ffffffff8122da93>] __lookup_hash+0x33/0x40
[    4.179072]  [<ffffffff81797e4a>] lookup_slow+0x44/0xa9
[    4.179643]  [<ffffffff81230c25>] path_lookupat+0x745/0x7b0
[    4.180081]  [<ffffffff812003fa>] ? kmem_cache_alloc+0x10a/0x300
[    4.180679]  [<ffffffff8122f1ff>] ? getname_flags+0x4f/0x190
[    4.181138]  [<ffffffff81230cbb>] filename_lookup+0x2b/0xc0
[    4.181728]  [<ffffffff81234e44>] user_path_at_empty+0x54/0x90
[    4.182174]  [<ffffffff8179724f>] ? __slab_free+0x333/0x382
[    4.182760]  [<ffffffff813c687e>] ? debug_check_no_obj_freed+0x14e/0x250
[    4.183388]  [<ffffffff81234e91>] user_path_at+0x11/0x20
[    4.183818]  [<ffffffff812280a0>] vfs_fstatat+0x50/0xa0
[    4.184399]  [<ffffffff8122f182>] ? final_putname+0x22/0x50
[    4.184907]  [<ffffffff8122854f>] SYSC_newstat+0x1f/0x40
[    4.185438]  [<ffffffff810f1c35>] ? trace_hardirqs_on_caller+0x105/0x1d0
[    4.185914]  [<ffffffff813b9e2b>] ? trace_hardirqs_on_thunk+0x3a/0x3f
[    4.186526]  [<ffffffff8122879e>] SyS_newstat+0xe/0x10
[    4.187010]  [<ffffffff817ac729>] system_call_fastpath+0x16/0x1b
[    4.187559] ---[ end trace 6782a4cea0d853fd ]---

Comment 10 Josh Boyer 2014-03-17 12:56:52 UTC
*** Bug 1077118 has been marked as a duplicate of this bug. ***

Comment 11 Josh Boyer 2014-03-17 16:54:51 UTC
The calls to add to fix this are easy, but the proper error path if the call to pci_map_single fails isn't clear.  I've asked upstream:

http://marc.info/?l=linux-scsi&m=139507512600540&w=2

Comment 12 Harald Reindl 2014-03-17 19:49:41 UTC
thank you!

i also informed VMware about that on the more or less off-topic open-vm-tools list 01/2014, fedora kernel-list was CC'ed

-------- Original-Nachricht --------
Betreff: Re: vmw_pvscsi 0000:13:00.0: DMA-API: device driver failed to check map	error[device address=0x0000000028cbcc40]
Datum: Sun, 26 Jan 2014 14:53:33 -0800 (PST)
Von: Ravindra Kumar <ravindrakumar@vmware.com>
An: open-vm-tools development <open-vm-tools-devel@lists.sourceforge.net>
Kopie (CC): kernel@lists.fedoraproject.org

Thanks Reindl for reporting the issue.

I have forwarded your message to the developers responsible for pvscsi driver

-------- Original-Nachricht --------
Betreff: vmw_pvscsi 0000:13:00.0: DMA-API: device driver failed to check map error[device address=0x0000000028cbcc40]
Datum: Sat, 25 Jan 2014 14:13:40 +0100
Von: Reindl Harald <h.reindl@thelounge.net>
Organisation: the lounge interactive design
An: Mailing-List open-vm-tools <open-vm-tools-devel@lists.sourceforge.net>
Kopie (CC): Mailing-List fedora-kernel <kernel@lists.fedoraproject.org>

may somebody of VMware Inc. please take a look at
https://bugzilla.redhat.com/show_bug.cgi?id=926917

these messages appear in dmesg in case of debug-kernels for a long time
and given that we speak about the main storage driver that leaves a
bad taste

Comment 13 Jaroslav Reznik 2015-03-03 14:54:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 14 Josh Boyer 2015-03-10 12:31:21 UTC
*** Bug 1186338 has been marked as a duplicate of this bug. ***

Comment 15 Josh Boyer 2015-12-01 16:36:31 UTC
*** Bug 1286376 has been marked as a duplicate of this bug. ***

Comment 16 Josh Boyer 2015-12-01 16:37:34 UTC
The patch for this that was sent upstream was never brought into the submaintainer's tree.  I sent it again today.  Maybe this time he'll pick it up.

Comment 17 Morten Stevens 2015-12-01 17:09:07 UTC
(In reply to Josh Boyer from comment #16)
> The patch for this that was sent upstream was never brought into the
> submaintainer's tree.  I sent it again today.  Maybe this time he'll pick it
> up.

RHEL 7.2 is also affected. Could you submit this patch also for RHEL 7?

Comment 18 Josh Boyer 2015-12-01 17:23:37 UTC
(In reply to Morten Stevens from comment #17)
> (In reply to Josh Boyer from comment #16)
> > The patch for this that was sent upstream was never brought into the
> > submaintainer's tree.  I sent it again today.  Maybe this time he'll pick it
> > up.
> 
> RHEL 7.2 is also affected. Could you submit this patch also for RHEL 7?

My apologies, I'm not a RHEL developer and am not familiar with that process.  It would be best to report a bug against RHEL itself, as that will likely be required anyway.

Also, the output should only be seen if CONFIG_DMA_API_DEBUG is set.  That shouldn't be enabled on the default RHEL kernels.

Comment 19 Morten Stevens 2015-12-01 22:07:05 UTC
(In reply to Josh Boyer from comment #18)
> (In reply to Morten Stevens from comment #17)
> > (In reply to Josh Boyer from comment #16)
> > > The patch for this that was sent upstream was never brought into the
> > > submaintainer's tree.  I sent it again today.  Maybe this time he'll pick it
> > > up.
> > 
> > RHEL 7.2 is also affected. Could you submit this patch also for RHEL 7?
> 
> My apologies, I'm not a RHEL developer and am not familiar with that
> process.  It would be best to report a bug against RHEL itself, as that will
> likely be required anyway.

All right. Here is the bug report for RHEL 7: https://bugzilla.redhat.com/show_bug.cgi?id=1287291

> Also, the output should only be seen if CONFIG_DMA_API_DEBUG is set.  That
> shouldn't be enabled on the default RHEL kernels.

Yes, you need to install the kernel-debug package to see the warning message.

Comment 20 Neil Horman 2016-10-26 16:09:15 UTC
This made it in upstream last december as commit c965853ab06b3e8a9d024d86730b373c333fc6f3, closing


Note You need to log in before you can comment on or make changes to this bug.